# Intel® Enhanced Privacy ID SDK: epid/common/types.h File Reference

types.h File Reference

SDK data types. More...

`#include <limits.h>`

## Data Structures

struct | OctStr8
| 8 bit octet string More...
struct | OctStr16
| 16 bit octet string More...
struct | OctStr32
| 32 bit octet string More...
struct | OctStr64
| 64 bit octet string More...
struct | OctStr128
| 128 bit octet string More...
struct | OctStr256
| 256 bit octet string More...
struct | OctStr512
| 512 bit octet string More...
struct | BigNumStr
| Serialized BigNum. More...
struct | FpElemStr
| a number in [0, p-1] More...
struct | FqElemStr
| a number in [0, q-1] More...
struct | G1ElemStr
| Serialized G1 element. More...
struct | G2ElemStr
| Serialized G2 element. More...
struct | GtElemStr
| Serialized GT element. More...
struct | Epid2Params
| Intel(R) EPID 2.0 Parameters. More...
struct | GroupPubKey
| Intel(R) EPID 2.0 group public key. More...
struct | IPrivKey
| Intel(R) EPID 2.0 issuing private key. More...
struct | PrivKey
| Intel(R) EPID 2.0 private key. More...
struct | CompressedPrivKey
| Compressed private key. More...
struct | MembershipCredential
| Membership credential. More...
struct | JoinRequest
| Join request. More...
struct | BasicSignature
| Intel(R) EPID 2.0 basic signature. More...
struct | NrProof
| non-revoked Proof. More...
struct | EpidSignature
| Intel(R) EPID 2.0 Signature. More...
struct | PrivRl
| private-key based revocation list. More...
struct | SigRlEntry
| entry in SigRL (B,K) More...
struct | SigRl
| signature based revocation list More...
struct | GroupRl
| group revocation list More...
struct | VerifierRl
struct | Fq2ElemStr
| Serialized Fq2 element. More...
struct | Fq6ElemStr
| Serialized Fq2^3 element. More...
struct | Fq12ElemStr
| Serialized Fq2^3^2 element. More...
struct | EcdsaSignature
| ECDSA Signature using NIST 256-bit curve secp256r1. More...
struct | EcdsaPublicKey
| ECDSA Public Key. More...
struct | EcdsaPrivateKey
| ECDSA Private Key. More...

## Typedefs

typedef OctStr128 | GroupId
| group ID
typedef OctStr256 | Seed
| 256 bit seed derived from fuse key
typedef OctStr256 | IssuerNonce
| 256 bit nonce chosen by issuer
typedef G1ElemStr | ReKeySeed
| element to store seed values for later rekey

## Enumerations

enum | HashAlg { kSha256 = 0, kSha384 = 1, kSha512 = 2, kSha512_256 = 3, kSha3_256 = 4, kSha3_384 = 5, kSha3_512 = 6 }
| Recognized hash algorithms. More...

## Detailed Description

SDK data types.